### Method

# GtkSource PrintCompositor get_highlight_syntax

#### Declaration [src]

    gboolean
    gtk_source_print_compositor_get_highlight_syntax (
      GtkSourcePrintCompositor* compositor
    )

#### Description [src]

Determines whether the printed text will be highlighted according to the buffer rules.

Note that highlighting will happen only if the buffer to print has highlighting activated.

Gets property | `GtkSource.PrintCompositor:highlight-syntax`

#### Return value

Type: `gboolean`

`TRUE` if the printed output will be highlighted.